Bug 221196 - DLink DUB-E100 usb ethernet adapter (hw rev B1) does not work on fc6 ppc
DLink DUB-E100 usb ethernet adapter (hw rev B1) does not work on fc6 ppc
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-02 17:04 EST by Jonathan Halter
Modified: 2008-02-07 23:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Halter 2007-01-02 17:04:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1

Description of problem:
This does not seem to be specific to a particular kernel version, just the architecture (ppc).

On a ppc Mac mini, if I plug in a DLink DUB-E100 (HW Rev. B1) into it, it is recognized by the system. I then try to bring it up (ifup eth1), it is unable to obtain an IP address via DHCP. If I manually assign a static IP to it, it refuses to transmit any packets.

However, on an intel Mac mini, built with essentially the same configuration and updated to the same kernel revision, 2.6.18-1.2869.fc6, I plug the very same DUB-E100 adapter into it, bring it up, and he happily retrieves an IP address, and functions as expected. This is why I highly suspect the issue is specific to the ppc architecture.




Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. install FC6 on PPC architecture
2. plug in DUB-E100 usb ethernet adapter
3. try to configure / bring up ethX

Actual Results:


Expected Results:


Additional info:
Linux test1.testdomain.com 2.6.18-1.2869.fc6 #1 Wed Dec 20 14:54:04 EST 2006 ppc ppc ppc GNU/Linux
DLink DUB-E100 (HW Ver. B1)

[root@test1 log]# ifup eth1
Determining IP information for eth1... failed.


messages:

Jan  2 13:52:35 test1 kernel: eth1: link up, 100Mbps, full-duplex, lpa 0x45E1
Jan  2 13:52:35 test1 avahi-daemon[2341]: New relevant interface eth1.IPv6 for mDNS.
Jan  2 13:52:35 test1 avahi-daemon[2341]: Joining mDNS multicast group on interface eth1.IPv6 with address fe80::280:c8ff:fe38:7755.
Jan  2 13:52:35 test1 avahi-daemon[2341]: Registering new address record for fe80::280:c8ff:fe38:7755 on eth1.
Jan  2 13:52:35 test1 dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 3
Jan  2 13:52:38 test1 dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 8
Jan  2 13:52:46 test1 dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 18
Jan  2 13:53:04 test1 dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 17
Jan  2 13:53:21 test1 dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 10
Jan  2 13:53:31 test1 dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 5


output of ifconfig:

eth1      Link encap:Ethernet  HWaddr 00:80:C8:38:77:55
          inet6 addr: fe80::280:c8ff:fe38:7755/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:41 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:9996 (9.7 KiB)


output of lsusb -v (for dub-e100):

Bus 004 Device 003: ID 2001:3c05 D-Link Corp. [hex] 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass          255 Vendor Specific Class
  bDeviceSubClass       255 Vendor Specific Subclass
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x2001 D-Link Corp. [hex]
  idProduct          0x3c05 
  bcdDevice            0.01
  iManufacturer           1 D-Link Corporation
  iProduct                2 DUB-E100
  iSerial                 3 000001
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           39
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          4 0
    bmAttributes         0x80
    MaxPower              250mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol      0 
      iInterface              7 0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              11
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass          255 Vendor Specific Class
  bDeviceSubClass       255 Vendor Specific Subclass
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  bNumConfigurations      1
Comment 1 Jon Stanley 2008-01-07 20:50:54 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:29:04 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.